petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetMatrixStructureOnly

When DMCreateMatrix() is called, the matrix structure will be created but the array for values will not be allocated.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetMatrixStructureOnly(DM dm, PetscBool only)

Logically Collective on dm

### Input Parameter

| dm | - the DM
| only | - PETSC_TRUE if only want matrix stucture

### See Also

DMCreateMatrix(), DMSetMatrixPreallocateOnly()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages